Subject: Re: bug#23583: 24.5; Freeze when calling ediff in fs-mode in i3wm

From: Noam Postavsky <[email-masked]>
Date: Sun, 31 Jul 2016 10:33:35 -0400

On Sun, Jul 31, 2016 at 9:31 AM, Benjamin Riefenstahl
<[email-masked]> wrote:
> When I connect to the Emacs in this state with gdb, I get the stacktrace
> below.  It seems that make-frame-visible is waiting for some answer that
> does not come from X11 or the display manager.

Interesting, that makes it seem similar to #24091. And if I use an
Emacs that skips the loop mentioned there, it avoids the error *if* I
open Emacs on a different workspace.

>
> I am testing with Emacs from Git here, head of branch emacs-25, i3-wm
> 4.8, Debian GNU/Linux 8.5 (jessie), X.org 1.16.4.

As I mentioned in 24119, I suspect the discrepancy in behaviour is due
to my configuring --with-x-toolkit=lucid, instead of gtk.